<?php
/**
 * Part template
 *
 * @package productive-ecommerce
 */

$blog_name = get_bloginfo( 'name' );
$blog_desc = get_bloginfo( 'description' );
$productive_ecommerce_homepage_usp_textarea_1 = esc_textarea( get_theme_mod( 'productive_ecommerce_homepage_usp_textarea_1', $blog_name ) );
$productive_ecommerce_homepage_usp_textarea_2 = esc_textarea( get_theme_mod( 'productive_ecommerce_homepage_usp_textarea_2', $blog_desc ) );


// fetch user defined background.
$productive_ecommerce_homepage_usp_image = '';
$homepage_usp_image_theme_mod_object = get_theme_mod( 'productive_ecommerce_homepage_usp_image', false );
if ( $homepage_usp_image_theme_mod_object ) {

	$homepage_usp_image_theme_mod_array = wp_get_attachment_image_src( $homepage_usp_image_theme_mod_object, 'full' );

	if ( $homepage_usp_image_theme_mod_array ) {
		$productive_ecommerce_homepage_usp_image = $homepage_usp_image_theme_mod_array[0];
	} else {
		$productive_ecommerce_homepage_usp_image = PRODUCTIVE_ECOMMERCE_HOMEPAGE_USP_IMAGE_REMOTE;
	}
} else {
	$productive_ecommerce_homepage_usp_image = PRODUCTIVE_ECOMMERCE_HOMEPAGE_USP_IMAGE_REMOTE;
}

$productive_ecommerce_is_homepage_usp_scroll = get_theme_mod( 'productive_ecommerce_is_homepage_usp_scroll', false );
$parallax = '';
if ( ! $productive_ecommerce_is_homepage_usp_scroll ) {
	$parallax = 'parallax';
}

$homepage_page = '';
if ( is_home() ) {
	$homepage_page = ' home ';
}

?>

<?php
// start hero widget.
if ( is_active_sidebar( 'homepage_hero_widget' ) ) {
	?>
					
		<?php
		// start homepage hero sidebar widget.
		do_action( 'display_homepage_hero_widget', 'homepage_hero_widget' );
		?>
			<?php // end of homepage hero sidebar widget. ?>
		
	<?php } else { // end hero widget. ?>
	 
	 <div class="productive_ecommerce_hero_container <?php echo esc_attr( $homepage_page ); ?> <?php echo esc_attr( $parallax ); ?>"  style="background-image: url(<?php echo esc_url( $productive_ecommerce_homepage_usp_image ); ?>)">
		<div class="productive_ecommerce_hero_container_content">
			
			
			<?php if ( is_home() ) { ?>
			
				<div class="productive_ecommerce_hero_container_content_text top">
					<?php 
					if ( !empty($productive_ecommerce_homepage_usp_textarea_1) && $blog_name != $productive_ecommerce_homepage_usp_textarea_1 ) {
					  echo esc_html( $productive_ecommerce_homepage_usp_textarea_1 );
					} else {
					    echo esc_html( $blog_name );
					}
					?>
				</div>
				
				<div class="clear_min"></div>
				
				<div class="productive_ecommerce_hero_container_content_text bottom">
					<?php
					if ( !empty($productive_ecommerce_homepage_usp_textarea_2) && $blog_desc != $productive_ecommerce_homepage_usp_textarea_2 ) {
					    echo esc_html( $productive_ecommerce_homepage_usp_textarea_2 );
					} else {
					    echo esc_html( $blog_desc );
					}
					?>
				</div>
			
			<?php } else { ?>
				<div class="productive_ecommerce_hero_container_content_text top">
					<?php echo wp_kses_post( get_the_archive_title() ); ?>
				</div>
			<?php } ?>
			
		</div>
	</div>
<?php } // end top part. ?>

<div class="site-container">
	
	<?php
	// homepage top sidebar widget.
		  do_action( 'display_homepage_content_widget_top', 'homepage_content_widget_top' );
	?>
	  
		
	<?php get_template_part( 'template-parts/page-part-index-loop' ); ?>
	
		
	<?php
	// homepage bottom sidebar widget.
	   do_action( 'display_homepage_content_widget_bottom', 'homepage_content_widget_bottom' );
	?>
	 
	
</div>
	   
